Scala version 2.8.1, no /docs/scala-devel-docs/api

When I point IntelliJ IDEA (both versions 9 and 10) to my Scala installation, I get an ominous warning "version 2.8.1, no /docs/scala-devel-docs/api". I made a directory docs containing a symlink scala-devel-docs to the actual scala-devel-docs tree, and there is now a docs/scala-devel-docs/api inside the scala directory. Yet the warning does not go away.

How can I fix that?

Thanks,

Cay

3 comments
Comment actions Permalink

Follow the instructions on scala-lang (describing the Scala Bazaar System) as linked below.

http://www.scala-lang.org/node/93

Then repoint intellij to your install dir and all should be well.

0
Comment actions Permalink
  • Install your Scala docs
  • Go To 'Project Structure' > 'Global Libraries' > Your Scala Library > Attach documentation
0
Comment actions Permalink

Thanks Timo! That worked great.

0

Please sign in to leave a comment.